# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`tls_checker`](#tls_checker): Configure tls_checker

### Defined types

* [`tls_checker::watch`](#tls_checker--watch): summary Add TLS endpoints to monitor

### Functions

* [`tls_checker::watched_endpoints`](#tls_checker--watched_endpoints): Extract watched TLS endpoints from PuppetDB

## Classes

### <a name="tls_checker"></a>`tls_checker`

Configure tls_checker

#### Parameters

The following parameters are available in the `tls_checker` class:

* [`package_provider`](#-tls_checker--package_provider)
* [`tls_checker_path`](#-tls_checker--tls_checker_path)
* [`logfile`](#-tls_checker--logfile)
* [`ensure`](#-tls_checker--ensure)
* [`hour`](#-tls_checker--hour)
* [`minute`](#-tls_checker--minute)
* [`month`](#-tls_checker--month)
* [`monthday`](#-tls_checker--monthday)
* [`weekday`](#-tls_checker--weekday)
* [`user`](#-tls_checker--user)
* [`group`](#-tls_checker--group)

##### <a name="-tls_checker--package_provider"></a>`package_provider`

Data type: `Enum['gem', 'puppet_gem']`

Which package provider to use

##### <a name="-tls_checker--tls_checker_path"></a>`tls_checker_path`

Data type: `String`

Path to tls-checker

##### <a name="-tls_checker--logfile"></a>`logfile`

Data type: `String`

Logfile to store certificates status

Default value: `'/var/log/tls-checker.jsonl'`

##### <a name="-tls_checker--ensure"></a>`ensure`

Data type: `String`



Default value: `'installed'`

##### <a name="-tls_checker--hour"></a>`hour`

Data type: `Any`



Default value: `'*/4'`

##### <a name="-tls_checker--minute"></a>`minute`

Data type: `Any`



Default value: `fqdn_rand(60)`

##### <a name="-tls_checker--month"></a>`month`

Data type: `Any`



Default value: `undef`

##### <a name="-tls_checker--monthday"></a>`monthday`

Data type: `Any`



Default value: `undef`

##### <a name="-tls_checker--weekday"></a>`weekday`

Data type: `Any`



Default value: `undef`

##### <a name="-tls_checker--user"></a>`user`

Data type: `Optional[String]`

User to check TLS status as

Default value: `undef`

##### <a name="-tls_checker--group"></a>`group`

Data type: `Optional[String]`

Group to check TLS status as

Default value: `undef`

## Defined types

### <a name="tls_checker--watch"></a>`tls_checker::watch`

summary Add TLS endpoints to monitor

#### Parameters

The following parameters are available in the `tls_checker::watch` defined type:

* [`endpoints`](#-tls_checker--watch--endpoints)

##### <a name="-tls_checker--watch--endpoints"></a>`endpoints`

Data type: `Variant[Array[String], String]`

Endpoints to monitor

Default value: `$title`

## Functions

### <a name="tls_checker--watched_endpoints"></a>`tls_checker::watched_endpoints`

Type: Puppet Language

Extract watched TLS endpoints from PuppetDB

#### `tls_checker::watched_endpoints()`

The tls_checker::watched_endpoints function.

Returns: `Array[String]` An array of TLS endpoints

